tigase.jaxmpp.core.client.xmpp.modules.xep0136

## Class MessageArchivingModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.xep0136.MessageArchivingModule

- All Implemented Interfaces:
    PacketWriterAware, XmppModule

      public class MessageArchivingModule
      extends Object
      implements XmppModule, PacketWriterAware

  MessageArchivingModule class implements support for XEP-0136 Message Archiving.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MessageArchivingModule.CollectionAsyncCallback`
    `static class` | `MessageArchivingModule.ItemsAsyncCallback`
    `static class` | `MessageArchivingModule.Settings`
    `static class` | `MessageArchivingModule.SettingsAsyncCallback`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageArchivingModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `void` | `getSettings(MessageArchivingModule.SettingsAsyncCallback callback)`
    `void` | `listCollections(Criteria crit, MessageArchivingModule.CollectionAsyncCallback callback)`
    `void` | `listCollections(JID withJid, Date startTime, Date endTime, String afterId, MessageArchivingModule.CollectionAsyncCallback callback)` Deprecated.
    `void` | `process(Element element)` Main method of module.
    `void` | `retrieveCollection(Criteria crit, MessageArchivingModule.ItemsAsyncCallback callback)`
    `void` | `retriveCollection(JID withJid, Date startTime, Date endTime, String afterId, Integer index, Integer maxCount, MessageArchivingModule.ItemsAsyncCallback callback)` Deprecated.
    `void` | `setAutoArchive(boolean enable, AsyncCallback callback)`
    `void` | `setPacketWriter(PacketWriter packetWriter)` Set PacketWriter.
    `void` | `setSettings(MessageArchivingModule.Settings settings, AsyncCallback callback)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageArchivingModule

          public MessageArchivingModule()

  - ### Method Detail

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Specified by:
        `getCriteria` in interface `XmppModule`
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Specified by:
        `getFeatures` in interface `XmppModule`
      Returns:
        array of features

    - #### getSettings

          public void getSettings(MessageArchivingModule.SettingsAsyncCallback callback)
                           throws XMLException,
                                  JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### listCollections

          @Deprecated
          public void listCollections(JID withJid,
                                                  Date startTime,
                                                  Date endTime,
                                                  String afterId,
                                                  MessageArchivingModule.CollectionAsyncCallback callback)
                                           throws XMLException,
                                                  JaxmppException

      Deprecated.
      Throws:
        `XMLException`
        `JaxmppException`

    - #### listCollections

          public void listCollections(Criteria crit,
                                      MessageArchivingModule.CollectionAsyncCallback callback)
                               throws XMLException,
                                      JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### process

          public void process(Element element)
                       throws XMPPException,
                              XMLException,
                              JaxmppException

      Description copied from interface: `XmppModule`
      Main method of module. Module will process incoming stanza by call this method.
      Specified by:
        `process` in interface `XmppModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `XMPPException`
        `XMLException`
        `JaxmppException`

    - #### retriveCollection

          @Deprecated
          public void retriveCollection(JID withJid,
                                                    Date startTime,
                                                    Date endTime,
                                                    String afterId,
                                                    Integer index,
                                                    Integer maxCount,
                                                    MessageArchivingModule.ItemsAsyncCallback callback)
                                             throws XMLException,
                                                    JaxmppException

      Deprecated.
      Throws:
        `XMLException`
        `JaxmppException`

    - #### retrieveCollection

          public void retrieveCollection(Criteria crit,
                                         MessageArchivingModule.ItemsAsyncCallback callback)
                                  throws XMLException,
                                         JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### setAutoArchive

          public void setAutoArchive(boolean enable,
                                     AsyncCallback callback)
                              throws JaxmppException

      Throws:
        `JaxmppException`

    - #### setSettings

          public void setSettings(MessageArchivingModule.Settings settings,
                                  AsyncCallback callback)
                           throws JaxmppException

      Throws:
        `JaxmppException`

    - #### setPacketWriter

          public void setPacketWriter(PacketWriter packetWriter)

      Description copied from interface: `PacketWriterAware`
      Set PacketWriter.
      Specified by:
        `setPacketWriter` in interface `PacketWriterAware`
      Parameters:
        `packetWriter` - PacketWriter

Copyright © 2006–2016 Tigase. All rights reserved.